<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/

/*START OF BACKEND ROUTE LINKS*/
$route['default_controller'] = 'front/login';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['home']='front/Home';
$route['login'] = 'front/Login';
//$route['sign-up'] = 'admin/Signup';
$route['login/logout'] = 'front/Login/logout';

$route['gsf/portfolio'] = 'front/Gsf/portfolio';
$route['gsf/indoor'] = 'front/Gsf/indoor';
$route['gsf/outdoor'] = 'front/Gsf/outdoor';

$route['gsf/indoor/product/(:num)']= 'front/Gsf/view_indoor_product';
$route['gsf/share_product_email'] = 'front/Gsf/share_product_email';
/*start admin routes*/

$route['admin/assets/category/add']='backend/Assets/add_asset_type';
$route['admin/assets/category/list']='backend/Assets/assets_type_list';

$route['admin']='backend/Admin';
$route['admin/assets/add']='backend/Assets/add_asset';
$route['admin/assets/list']='backend/Assets/assets_list';

$route['admin/product/add']='backend/Product/add_product';
$route['admin/product/list']='backend/Product/product_list';
$route['admin/product/export']='backend/Product/export';

/*end admin routes*/


?>
