<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Product_model extends CI_Model {

   
	function __construct(){  
      parent::__construct();  
   }  
		function add_product($inputs)
	{
		$category=$inputs['category'];
		if($category=='')
		{
			$category='other';
		}
		
		
		$trainer=array('category_id'=>$category,
		'product_name'=>$inputs['product'],
		'quantity'=>$inputs['quantity'],
		'type'=>$inputs['quantity_type'],
		'created_date'=>date('Y-m-d'),
		'created_time'=>date('h:i:s:a'),
		'status'=>1,
		'created_by'=>$this->session->userdata('active_backend_user_id')
		);	
		
		
	   $result = $this->db->insert('products', $trainer); 

		return $result;  
	}
	function get_products() {
	$this->db->select('category.name as category_name,products.*');
		$this->db->join('category','category.id=products.category_id','LEFT');
		$this->db->where("products.status",1);
		$this->db->order_by("products.id","desc");
		$this->db->from('products');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		//die();
		return $result ;
	}
	function get_inwards()
	{
		$this->db->select('supplier.name as supplier_name,category.name as category_name,products.product_name,goods_inward.*');
		$this->db->join('supplier','supplier.id=goods_inward.supplier_id','LEFT');
		$this->db->join('category','category.id=goods_inward.category_id','LEFT');
		$this->db->join('products','products.id=goods_inward.product_id','LEFT');
		$this->db->where("goods_inward.status",1);
		$this->db->order_by("goods_inward.id","desc");
		$this->db->from('goods_inward');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		//die();
		return $result ;
	}
	function get_category()
	{
		$this->db->where("status",'1');
		$this->db->order_by("id", "desc");		
        $this->db->from('category');
		$result=	  $this->db->get()->result_array();
		//echo $this->db->last_query();
		return $result ;
	}
	function get_product_list()
	{
		$this->db->select('id,product_name');
		$this->db->where("status",1);
		$this->db->order_by("id","desc");
		$this->db->from('products');
		$result=$this->db->get()->result_array();
		return $result ;
		//echo $this->db->last_query();
	}	
	function get_vendor_list()
	{
		$this->db->select('id,name');
		$this->db->where("status",1);
		$this->db->order_by("id","desc");
		$this->db->from('supplier');
		$result=$this->db->get()->result_array();
		return $result ;
		//echo $this->db->last_query();
	}
	function get_trainer($id) {
	$gymid=$this->session->userdata('active_backend_user_id');
		$this->db->where("id",$id);
		$this->db->order_by("id", "desc");		
        $this->db->from('trainer');
		 

      return $this->db->get()->row();
	echo $this->db->last_query();
	
	}
	function add_inward($inputs)
	{
		 $countfiles = count($inputs['product']);
		
		$inward=array('supplier_id'=>$inputs['vendor'],
		'category_id'=>$inputs['category'],
		'image'=>$inputs['invoice_file'],
		'invoice_no'=>$inputs['invoice_number'],
		'receved_date'=>$inputs['inward_date'],
		'created_date'=>date('Y-m-d'),
		'created_time'=>date('h:i:s:a'),
		'status'=>1,
		'created_by'=>$this->session->userdata('active_backend_user_id')
		);	
		$result = $this->db->insert('goods_inward', $inward); 
		$insert_id = $this->db->insert_id();
		for($i=0;$i<$countfiles;$i++)
		{
			
			$stock=array('inward_id'=>$insert_id,
			'product_id'=>$inputs['product'][$i],
			'quantity'=>$inputs['quantity'][$i],
			'type'=>$inputs['quantity_type'][$i],
			'created_on'=>date('Y-m-d h:i:s:a'));
			$result = $this->db->insert('product_stocks', $stock); 
		}
		return $result;  
		
	}

	
	function edit_trainer($id,$inputs)
	{
		$dob=$inputs['dob'];

		$trainer=array('full_name'=>$inputs['trainer'],
		'email'=>$inputs['email'],
		'mobile'=>$inputs['mobile'],
		'experience'=>$inputs['exp'],
		'gender'=>$inputs['gender'],
		'age'=>$inputs['age'],
		'date_of_birth'=>$inputs['dob'],
		'date_of_join'=>$inputs['doj'],
		'salery'=>$inputs['salary'],
		'address'=>$inputs['address']
		);	
		
			$this->db->where('id',$id);
	   $result = $this->db->update('trainer', $trainer); 

		return $result;  
	}
}
