<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Asset_model extends CI_Model {

   
	function __construct(){  
      parent::__construct();  
   }  
  


	function get_brands_list()
	{
		$this->db->where("status",'1');
		$this->db->order_by("name", "asc");		
        $this->db->from('brands');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		//die();
		return $result ;
	}

	function get_indoor_list()
	{
		$this->db->select('product_type.name as type,brands.name as brand,products.product_category,products.series,products.model,products.name,products.original_img,products.specification,products.created_on');
		$this->db->join('product_type','product_type.id=products.product_category','left');
		$this->db->join('brands','brands.id=products.brand','left');
		$this->db->where('products.status',1);
		$this->db->where('products.product_category',1);
		$this->db->order_by('products.id','desc');
		$this->db->from('products');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		//die();	
		return $result;
	}
	function get_outdoor_list()
	{
		$this->db->select('product_type.name as type,brands.name as brand,products.product_category,products.series,products.model,products.name,products.original_img,products.specification,products.created_on');
		$this->db->join('product_type','product_type.id=products.product_category','left');
		$this->db->join('brands','brands.id=products.brand','left');
		$this->db->where('products.status',1);
		$this->db->where('products.product_category',2);
		$this->db->order_by('products.id','desc');
		$this->db->from('products');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		//die();	
		return $result;
	}
	function getIndoor($params = array())
	{
		$result=[];
		if (isset($params['search']['search_all'])) 
		{
			$search_all=$params['search']['search_all'];
			$like = "(model like '%$search_all%' or name like '%$search_all%')";
			$this->db->where($like);	
        }
   
   
        	if (!empty($params['search']['category'])) 
			{
				$cate=$params['search']['category'];
				$this->db->where_in('product_type',$cate);
		   

			}
        $this->db->where("product_category",'1');
        $this->db->where("status",'1');
        $this->db->order_by("id", "asc");		
        $this->db->from('products');
        if (array_key_exists("start", $params) && array_key_exists("limit", $params)) {
            $this->db->limit($params['limit'], $params['start']);
        } elseif (!array_key_exists("start", $params) && array_key_exists("limit", $params)) {
            $this->db->limit($params['limit']);
        }
		//End set start and limit
        $query=$this->db->get()->result_array();
        //echo $this->db->last_query();
        return (count($query) > 0) ? $query : FALSE;
	}
	function get_product_desc($id)
	{
		$this->db->where("id",$id);
		$this->db->from('products');
		$result=$this->db->get()->result_array();
		//echo $this->db->last_query();
		return $result ;
	}
	
}
